<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFPalette (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFPalette (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFPalette.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFOptimiser.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFPalette.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFPalette.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFPalette" class="title">Class HSSFPalette</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFPalette</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFPalette</span>
extends java.lang.Object</pre>
                <div class="block">Represents a workbook color palette.
                    Internally, the XLS format refers to colors using an offset into the palette
                    record. Thus, the first color in the palette has the index 0x8, the second
                    has the index 0x9, etc. through 0x40
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#HSSFPalette-org.apache.poi.hssf.record.PaletteRecord-">HSSFPalette</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/PaletteRecord.html"
                                        title="class in org.apache.poi.hssf.record">PaletteRecord</a>&nbsp;palette)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#addColor-byte-byte-byte-">addColor</a></span>(byte&nbsp;red,
                                    byte&nbsp;green,
                                    byte&nbsp;blue)</code>
                                    <div class="block">Adds a new color into an empty color slot.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#findColor-byte-byte-byte-">findColor</a></span>(byte&nbsp;red,
                                    byte&nbsp;green,
                                    byte&nbsp;blue)</code>
                                    <div class="block">Finds the first occurrence of a given color</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#findSimilarColor-byte-byte-byte-">findSimilarColor</a></span>(byte&nbsp;red,
                                    byte&nbsp;green,
                                    byte&nbsp;blue)</code>
                                    <div class="block">Finds the closest matching color in the custom palette.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#findSimilarColor-int-int-int-">findSimilarColor</a></span>(int&nbsp;red,
                                    int&nbsp;green,
                                    int&nbsp;blue)</code>
                                    <div class="block">Finds the closest matching color in the custom palette.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#getColor-int-">getColor</a></span>(int&nbsp;index)</code>
                                    <div class="block">Retrieves the color at a given index</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#getColor-short-">getColor</a></span>(short&nbsp;index)</code>
                                    <div class="block">Retrieves the color at a given index</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#setColorAtIndex-short-byte-byte-byte-">setColorAtIndex</a></span>(short&nbsp;index,
                                    byte&nbsp;red,
                                    byte&nbsp;green,
                                    byte&nbsp;blue)</code>
                                    <div class="block">Sets the color at the given offset</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFPalette-org.apache.poi.hssf.record.PaletteRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFPalette</h4>
                                <pre>protected&nbsp;HSSFPalette(<a
                                        href="../../../../../org/apache/poi/hssf/record/PaletteRecord.html"
                                        title="class in org.apache.poi.hssf.record">PaletteRecord</a>&nbsp;palette)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getColor-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                                    title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;getColor(short&nbsp;index)</pre>
                                <div class="block">Retrieves the color at a given index</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the palette index, between 0x8 to 0x40 inclusive</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the color, or null if the index is not populated</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                                    title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;getColor(int&nbsp;index)</pre>
                                <div class="block">Retrieves the color at a given index</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the palette index, between 0x8 to 0x40 inclusive</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the color, or null if the index is not populated</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findColor-byte-byte-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                                    title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;findColor(byte&nbsp;red,
                           byte&nbsp;green,
                           byte&nbsp;blue)</pre>
                                <div class="block">Finds the first occurrence of a given color</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>red</code> - the RGB red component, between 0 and 255 inclusive</dd>
                                    <dd><code>green</code> - the RGB green component, between 0 and 255 inclusive</dd>
                                    <dd><code>blue</code> - the RGB blue component, between 0 and 255 inclusive</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the color, or null if the color does not exist in this palette</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findSimilarColor-byte-byte-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findSimilarColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                                    title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;findSimilarColor(byte&nbsp;red,
                                  byte&nbsp;green,
                                  byte&nbsp;blue)</pre>
                                <div class="block">Finds the closest matching color in the custom palette. The
                                    method for finding the distance between the colors is fairly
                                    primative.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>red</code> - The red component of the color to match.</dd>
                                    <dd><code>green</code> - The green component of the color to match.</dd>
                                    <dd><code>blue</code> - The blue component of the color to match.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The closest color or null if there are no custom
                                        colors currently defined.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="findSimilarColor-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>findSimilarColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                                    title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;findSimilarColor(int&nbsp;red,
                                  int&nbsp;green,
                                  int&nbsp;blue)</pre>
                                <div class="block">Finds the closest matching color in the custom palette. The
                                    method for finding the distance between the colors is fairly
                                    primative.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>red</code> - The red component of the color to match.</dd>
                                    <dd><code>green</code> - The green component of the color to match.</dd>
                                    <dd><code>blue</code> - The blue component of the color to match.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The closest color or null if there are no custom
                                        colors currently defined.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setColorAtIndex-short-byte-byte-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColorAtIndex</h4>
                                <pre>public&nbsp;void&nbsp;setColorAtIndex(short&nbsp;index,
                            byte&nbsp;red,
                            byte&nbsp;green,
                            byte&nbsp;blue)</pre>
                                <div class="block">Sets the color at the given offset</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the palette index, between 0x8 to 0x40 inclusive</dd>
                                    <dd><code>red</code> - the RGB red component, between 0 and 255 inclusive</dd>
                                    <dd><code>green</code> - the RGB green component, between 0 and 255 inclusive</dd>
                                    <dd><code>blue</code> - the RGB blue component, between 0 and 255 inclusive</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addColor-byte-byte-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>addColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                                    title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;addColor(byte&nbsp;red,
                          byte&nbsp;green,
                          byte&nbsp;blue)</pre>
                                <div class="block">Adds a new color into an empty color slot.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>red</code> - The red component</dd>
                                    <dd><code>green</code> - The green component</dd>
                                    <dd><code>blue</code> - The blue component</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The new custom color.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.RuntimeException</code> - if there are more more free color
                                        indexes.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFPalette.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFOptimiser.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFPalette.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFPalette.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
